import {BattleTypeManager} from "./battle_types";
import {UsersManager} from "./users";
import {GenderManager} from "./genders";
import {Database} from "../database";

export class Managers {
    readonly battleTypes: BattleTypeManager
    readonly gender: GenderManager
    readonly users: UsersManager

    constructor(db: Database) {
        this.battleTypes = new BattleTypeManager(db)
        this.gender = new GenderManager(db)
        this.users = new UsersManager(db)
    }
}